Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface CacheMBean

All Known Subinterfaces:
  CacheStageMBean

public interface CacheMBean
extends WebLogicMBean, CacheMBeanProperties

Fields inherited from class com.bea.wlevs.management.configuration.CacheMBeanProperties
`Asynchronous, BatchSize, BufferSize, BufferWriteAttempts, BufferWriteTimeout, CACHE_MBEAN_TYPE, CACHE_STAGE_MBEAN_TYPE, FIFO, LFU, LRU, NRU, WorkManagerName, WriteBehind, WriteNone, WritePolicy, WriteThrough`

Method Summary
`java.lang.String` | `getEvictionPolicy()` Gets the value of the evictionPolicy property.
`long` | `getIdleTime()` Gets the value of the idleTime property.
`java.util.Map` | `getListeners()` Gets the value of the listeners property.
`long` | `getMaxSize()` Gets the value of the maxSize property.
`long` | `getTimeToLive()` Gets the value of the timeToLive property.
`java.lang.String` | `getWorkManagerName()` Gets the value of the workManagerName property.
`java.util.Map` | `getWritePolicy()` Gets the WritePolicy that is in effect.
`void` | `setEvictionPolicy(java.lang.String value)` Sets the value of the evictionPolicy property.
`void` | `setIdleTime(long value)` Sets the value of the idleTime property.
`void` | `setListeners(java.util.Map value)` Sets the value of the listeners property.
`void` | `setMaxSize(long value)` Sets the value of the maxSize property.
`void` | `setTimeToLive(long value)` Sets the value of the timeToLive property.
`void` | `setWorkManagerName(java.lang.String value)` Sets the value of the workManagerName property.
`void` | `setWritePolicy(java.util.Map value)` Sets the WritePolicy.

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Method Detail

### getMaxSize

    public long getMaxSize()
                    throws javax.management.JMException

  Gets the value of the maxSize property. The maximum number of elements that will be cached at any given time.

  Returns:
    the maximum size of the cache
  Throws:
    javax.management.JMException -

### setMaxSize

    public void setMaxSize(long value)
                    throws javax.management.JMException

  Sets the value of the maxSize property. Supports dynamic changes.

  Parameters:
    `value` - the maximum size of the cache to set
  Throws:
    javax.management.JMException -

### getEvictionPolicy

    public java.lang.String getEvictionPolicy()
                                       throws javax.management.JMException

  Gets the value of the evictionPolicy property.

  Returns:
    the eviction policy used by the cache
  Throws:
    javax.management.JMException -

### setEvictionPolicy

    public void setEvictionPolicy(java.lang.String value)
                           throws javax.management.JMException

  Sets the value of the evictionPolicy property. Must reboot before dynamic change takes effect. Legal values: LRU, LFU, NRU, FIFO

  Parameters:
    `value` - the eviction policy to set
  Throws:
    javax.management.JMException -

### getTimeToLive

    public long getTimeToLive()
                       throws javax.management.JMException

  Gets the value of the timeToLive property. Measured in milliseconds.

  Returns:
    the time-to-live value used by the cache
  Throws:
    javax.management.JMException -

### setTimeToLive

    public void setTimeToLive(long value)
                       throws javax.management.JMException

  Sets the value of the timeToLive property. Supports dynamic change.

  Parameters:
    `value` - the time-to-live value to set
  Throws:
    javax.management.JMException -

### getIdleTime

    public long getIdleTime()
                     throws javax.management.JMException

  Gets the value of the idleTime property. Measured in milliseconds.

  Returns:
    the idle time value used by the cache
  Throws:
    javax.management.JMException -

### setIdleTime

    public void setIdleTime(long value)
                     throws javax.management.JMException

  Sets the value of the idleTime property. Supports dynamic change.

  Parameters:
    `value` - the idle time value to set for the cache
  Throws:
    javax.management.JMException -

### getWritePolicy

    public java.util.Map getWritePolicy()
                                 throws javax.management.JMException

  Gets the WritePolicy that is in effect.

  Returns:
    the write policy value
  Throws:
    javax.management.JMException -

### setWritePolicy

    public void setWritePolicy(java.util.Map value)
                        throws javax.management.JMException

  Sets the WritePolicy. Supports dynamic change.

  Parameters:
    `value` - the write policy to set
  Throws:
    javax.management.JMException -

### getWorkManagerName

    public java.lang.String getWorkManagerName()
                                        throws javax.management.JMException

  Gets the value of the workManagerName property.

  Returns:
  Throws:
    javax.management.JMException -

### setWorkManagerName

    public void setWorkManagerName(java.lang.String value)
                            throws javax.management.JMException

  Sets the value of the workManagerName property. Must reboot before dynamic change takes effect.

  Parameters:
    `value` -
  Throws:
    javax.management.JMException -

### getListeners

    public java.util.Map getListeners()
                               throws javax.management.JMException

  Gets the value of the listeners property.

  Returns:
  Throws:
    javax.management.JMException -

### setListeners

    public void setListeners(java.util.Map value)
                      throws javax.management.JMException

  Sets the value of the listeners property. Supports dynamic change.

  Parameters:
    `value` -
  Throws:
    javax.management.JMException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.